Subject: bug#64696: 30.0.50; indent-to inherits preceding text properties, including 'invisible

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jul 2023 20:08:27 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 18 Jul 2023 16:25:31 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I was actually trying to understand what alternative behavior you'd
> > like to see.
> 
> I am not sure, because I do not fully understand how the new
> implementation of `current-column' works in the wild.
> 
> My general understanding of the indentation is that it works "visually",
> so that indentation makes things look aligned to graphical column in
> the displayed Emacs windows.

It tries, yes.

> However, I do not fully understand what happens if we try to indent
> fully hidden text (like inside Org's folds). See my previous bug
> reports: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56837 and
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58791

Invisible text is skipped by current-column.